<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));

/**
 * Sql info by John Liddiard (aka JohntheFish)
 * www.jlunderwater.co.uk, www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */

class JlsqlinfoPackage extends Package {

	protected $pkgHandle = 'jl_sqlinfo';
	protected $appVersionRequired = '5.4';
	protected $pkgVersion = '1.0';

	public function getPackageDescription() {
		return t('Show database information.');
	}

	public function getPackageName() {
		return t('SQL Info');
	}

	public function install() {
		$pkg = parent::install();

		Loader::model('single_page');
		$spid = SinglePage::add('/dashboard/system/environment/sqlinfo', $pkg);
		$spid->update(array('cName'=>$this->getPackageName(), 'cDescription' => $this->getPackageDescription() ));
	}

}